.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

* {
  box-sizing: border-box;
}

body {
  // width: 1320px;
  padding: 10px;
  margin: 0 auto;
}

.container {
  max-width: 1300px;
  padding: 10px;
  margin: 0 auto;
}

.header {
  height: 160px;
  background-color: #048223;

  &__nav-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    padding: 0px 20px;

    &_logo {
      width: 200px;
      height: 200px;
      background: url('./images/Logo.png') center/cover;
    }

    &_icons-container {
      display: flex;
    }

    &_favorites {
      position: relative;
      display: flex;
      align-items: center;
      margin-right: 25px;

      &-icon {
        width: 50px;
        height: 50px;
        margin-right: 20px;
        cursor: pointer;
      }

      &-counter {
        position: absolute;
        left: 75%;
        font-size: 36px;
        font-weight: 700;
      }
    }

    &_shopping-cart {
      position: relative;
      display: flex;
      align-items: center;
      margin-right: 15px;

      &-icon {
        width: 50px;
        height: 50px;
        cursor: pointer;
        margin-right: 20px;
      }

      &-counter {
        position: absolute;
        left: 70%;
        font-size: 36px;
        font-weight: 700;
      }
    }
  }
}

.cards-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.product-card {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 260px;
  padding: 16px;
  border: 1px solid gray;
  overflow: hidden;

  &__add-to-fav-icon {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 35px;
    height: 35px;
    cursor: pointer;
  }

  &__item-photo-container {
    width: 227px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-content: center;
  }

  &__item-photo {
    max-width: 227px;
    max-height: 300px;
  }

  &__title {
    height: 50px;
    word-wrap: normal;
    overflow: hidden;
  }

  &__cart-icon {
    width: 30px;
    height: 30px;
    align-self: end;
    margin-right: 35px;
  }

  &__price-buy-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__price {
    display: inline-block;
    font-size: 28px;
    font-weight: 700;
    & span {
      font-size: 16px;
    }
  }

  &__buy-btn {
    height: 35px;
    padding: 0px 30px;
    font-size: 20px;
    font-weight: 700;
    cursor: pointer;
    border: none;
    border-radius: 8px;
    background-color: #048223;
  }
}

.modal-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 12px;
  width: 520px;
  transition: 1s;

  &__close-btn {
    position: absolute;
    top: 15px;
    right: 20px;
    width: 40px;
    height: 40px;
    padding: 0px;
    background-color: transparent;
    border: none;
    background: url('./images/Krestiksvgpng.ru_.svg') center/cover no-repeat;
  }

  &__header {
    height: 70px;
    margin: 0;
    padding: 24px 0px 24px 30px;
    border-radius: 12px 12px 0px 0px;
    font-size: 26px;
    line-height: 1;
    font-weight: bold;
    text-align: left;
    color: white;
  }

  &__body {
    padding: 36px 42px;
    margin: 0 auto;
    font-size: 20px;
    color: white;
  }

  &__actions {
    display: flex;
    justify-content: center;
    padding-bottom: 24px;
  }

  &-btn {
    height: 35px;
    padding: auto;
    font-size: 16px;
    line-height: 1;
    margin-right: 10px;
    font-size: 22px;
    border: none;
    border-radius: 8px;
    color: white;
    box-shadow: none;
  }
}

.delete-modal {
  background-color: #ea4b35;

  &__header {
    background-color: #d64530;
  }

  & .ok-btn,
  & .cancel-btn {
    background-color: #b53726;
  }
}

.add-to-cart-modal {
  background-color: #03b61b;

  &__header {
    background-color: rgb(5, 151, 42);
  }

  & .add-to-cart-btn,
  & .cancel-btn {
    background-color: #014e14;
    padding: 15x 0px;
    width: 140px;
  }
}

.cart-page {
  // &.container{
  //   width: 50vw;
  // }

  &__total-next-step-div {
    display: flex;
    align-items: center;
    justify-content: right;
    padding: 0px 15px;
  }

  &__content {
    display: flex;
    flex-direction: column;
  }

  &__total-sum {
    text-align: right;
    font-size: 24px;
    font-weight: 700;
    text-transform: uppercase;

    &_number {
      font-size: 36px;
      font-weight: 700;
    }
  }

  &__next-step-btn {
    height: 60px;
    padding: 0px 35px;
    margin-left: 40px;
    font-size: 20px;
    font-weight: 700;
    cursor: pointer;
    border: none;
    border-radius: 8px;
  }

  .delivery-form {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 10px;

    &__input-block {
      display: flex;
      flex-direction: column;
      gap: 5px;
    }

    &__label {
      padding-left: 5px;
      font-size: 20px;
      font-weight: 700;
    }

    &__input {
      font-size: 18px;
      height: 40px;
      padding-left: 5px;
      border: 2px solid;
      border-radius: 3px;
    }
    &__error-msg {
      align-self: flex-start;
      height: 18px;
      margin: 0px 5px;
      font-size: 16px;
      color: red;

      &.hidden {
        visibility: hidden;
      }
    }

    &__checkout-btn {
      align-self: center;
      text-align: center;
      margin-top: 15px;
      height: 60px;
      padding: 0px 80px;
      font-size: 20px;
      font-weight: 700;
      cursor: pointer;
      border: none;
      background-color: green;
      border-radius: 8px;

      &:disabled {
        background-color: rgb(201, 204, 204);
      }
    }
  }
}

.page-title {
  text-align: center;
}

.cart-item {
  position: relative;
  display: flex;
  padding: 30px 15px;
  gap: 80px;
  border: 1px solid gray;

  &__remove-from-cart-btn {
    position: absolute;
    top: 15px;
    right: 20px;
    width: 40px;
    height: 40px;
    padding: 0px;
    background-color: transparent;
    border: none;
  }

  &__item-description {
    align-self: center;
    width: 270px;
  }

  &__counter {
    align-self: center;
    display: flex;
    align-items: center;

    &-quantity {
      font-size: 28px;
      font-weight: 700;
    }

    &-increment,
    &-decrement {
      font-size: 18px;
      margin: 15px;
      cursor: pointer;
    }
  }
}
